using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

using WillStott.MxAppToolbox;
using osImageManagerApp.Properties;
using osImageManagerLib;

namespace osImageManagerApp
{
    public partial class DlgHelpAbout : Form, IMxDlgForm
    {
        public DlgHelpAbout()
        {
            InitializeComponent();

            DlgProcHelpAbout dlgproc = new DlgProcHelpAbout(Assembly.GetExecutingAssembly(), Resources.StrezDICOMaxCopyrightNotice);
            if (dlgproc != null)
            {
                labelCopyright.Text = dlgproc.Copyright;
                labelProductTitle.Text = dlgproc.Title;
                labelProductVersion.Text = dlgproc.Version;
                CopyrightNotice.Text += dlgproc.CopyrightNotices;
            }
        }

        public void HelpRequest(object sender, HelpEventArgs hlpevent)
        {
            DlgUtils.ShowHelp(this, "User_Manual_-_Dialog_-_Help_About.htm", hlpevent);
        }
    }
}