using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using WillStott.MxAppToolbox;
using osImageManagerLib;

namespace osImageManagerLib
{
    public class DlgBrowserDir : DlgBrowser
    {
        private FolderBrowserDialog dlg;

        public DlgBrowserDir()
        {
            dlg = new FolderBrowserDialog();
        }

        public override String SelectedDir
        {
            set { dlg.SelectedPath = value; }
            get { return dlg.SelectedPath; }
        }

        public override String SelectedPathFilename
        {
            get { return ""; }
            set { ; }
        }

        public override bool ShowNewFolderButton
        {
            get { return dlg.ShowNewFolderButton; }
            set { dlg.ShowNewFolderButton = value; }
        }

        public override DialogResult ShowDialog()
        {
            return dlg.ShowDialog();
        }
    }
}
