using System;
using System.Collections.Generic;
using System.Text;

using fit;
using osImageManagerLib;
using WillStott.MxAppToolbox;

namespace osImageManagerLibFIT 
{
    public class DatabaseAdminDialogRunScript : ActionFixture
    {
        public void CleanImageTable()
        {
            OsDatabases db = new OsDatabases();
            db.Connect(TestSuiteSetup.AdminUser, TestSuiteSetup.AdminUserPassword);
            db.DeleteDiskLabelImages("UAT");
        }

        public int TestImageDb()
        {
            OsDatabases db = new OsDatabases();
            db.Connect(TestSuiteSetup.AdminUser, TestSuiteSetup.AdminUserPassword);
            ImageRecord[] recs = db.GetAllImageDetailsForDiskRef("UAT");
            return recs.Length;
        }
    }
}
