using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using fit;

using WillStott.MxAppToolbox;
using osImageManagerLib;
using osImageManagerLibFIT;

namespace osImageManagerLibUnitTests
{
    /// <summary>
    /// Summary description for FITTest
    /// </summary>
    [TestClass]
    public class FITTests
    {
        public FITTests()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        [ClassInitialize()]
        public static void FITTestsInitialize(TestContext testContext)
        {
            TestSuiteSetup.CreateStdDirAndSampleFiles(TestSuiteSetup.ProjectRootFromUnitTestRuntime, MockProgram.Instance);
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void FITDICOMFileValidation()
        {
            //DICOMFileValidation fs = new DICOMFileValidation();
            //ColumnFixture cf = fs as ColumnFixture;
            //Assert.IsNotNull(cf);

            //fs.StudyDate = "2005-01-22";
            //fs.StudyInstanceUID = "0123456789012345678901234567890123456789";
            //fs.PatientID = TestSuiteSetup.ValidVolunteerRef;
            //fs.PatientName = TestSuiteSetup.ValidPatientName;

            //Assert.IsTrue(fs.IsValid());

        }

        [TestMethod]
        public void PatientNameValidation()
        {
            PatientNameValidation patient = new PatientNameValidation();
            patient.PatientName = TestSuiteSetup.ValidPatientName;
            patient.VolunteerRef = TestSuiteSetup.ValidVolunteerRef; 
            Assert.IsTrue(patient.IsValid());

        }
    }
}
