using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WillStott.MxAppToolbox;
using osImageManagerLib;

namespace osImageManagerApp
{
    public partial class DlgFileLogon : Form, IMxDlgForm
    {
        public DlgFileLogon()
        {
            InitializeComponent();
            userNameTextBox.MaxLength = ImageRecord.MaxUserNameLength;
        }

        public string UserName
        {
            get { return userNameTextBox.Text; }
            set { userNameTextBox.Text = value; }
        }
        public string Password
        {
            get { return passwordTextBox.Text; }
        }

        public void HelpRequest(object sender, HelpEventArgs hlpevent)
        {
            DlgUtils.ShowHelp(this, "User_Manual_-_Dialog_-_File_Logon.htm", hlpevent);
        }
    }
}