using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WillStott.MxAppToolbox;

namespace osImageManagerApp
{
    public partial class DlgFileViewer : Form, IMxDlgForm
    {
        public DlgFileViewer()
        {
            InitializeComponent();

        }

        public void SetFile(string Title, string Filename)
        {
            Text = Title;
            richTextBox.LoadFile(Filename);
        }

        public void HelpRequest(object sender, HelpEventArgs hlpevent)
        {
            DlgUtils.ShowHelp(this, "User_Manual_-_Dialog_-_File_Viewer.htm", hlpevent);
        }
    }
}