using System;
using System.Collections.Generic;
using System.Text;
using fit;
using osImageManagerLib;
using WillStott.MxAppToolbox;

namespace osImageManagerLibFIT
{
    public class PatientIDStudyDateValidation : ColumnFixture
    {
        public string PatientID;
        public string StudyDate;

        public bool IsValid()
        {
            bool rc = false;

            OsDatabases db = new OsDatabases();
            db.Connect(TestSuiteSetup.AdminUser, TestSuiteSetup.AdminUserPassword);

            ImageRecord record = new ImageRecord();
            record.VolunteerRef = PatientID;
            record.AppointmentDate = DicomFile.ConvertStudyDate(StudyDate);

            if (db.DoesScanDateExistForVolunteerRef(record, MockProgram.Instance))
                rc = true;

            return rc;
        }

    }
}
