using System;
using System.Collections.Generic;
using System.Text;
using fit;
using System.IO;
using osImageManagerLib;
using WillStott.MxAppToolbox;

namespace osImageManagerLibFIT
{
    public class PatientNameValidation : ColumnFixture
    {
        public string PatientName;
        public string VolunteerRef;

        public bool IsValid()
        {
            bool rc = false;


            OsDatabases db = new OsDatabases();
            db.Connect(TestSuiteSetup.AdminUser, TestSuiteSetup.AdminUserPassword);

            ImageRecord record = new ImageRecord();
            record.PatientName = PatientName;
            record.VolunteerRef = DicomFile.ConvertPatientID(VolunteerRef);

            if (DicomFile.IsNameMatch(record.PatientName, db.GetNameFromVolunteerRef(record, MockProgram.Instance)))
                rc = true;

            return rc;
        }
    }
}
