using System;
using System.Collections.Generic;
using System.Text;
using fit;
using osImageManagerLib;
using WillStott.MxAppToolbox;

namespace osImageManagerLibFIT
{
    public class SOPInstanceUIDValidation : ColumnFixture
    {
        public string SOPInstanceUID;

        public bool ImageAlreadyExists()
        {
            bool rc = false;

            OsDatabases db = new OsDatabases();
            db.Connect(TestSuiteSetup.AdminUser, TestSuiteSetup.AdminUserPassword);

            ImageRecord record = new ImageRecord();
            record.DicomRef = SOPInstanceUID;

            if ((db.GetImageIDForDicomRef(record, MockProgram.Instance)).Length > 0)
                rc = true;

            return rc;
        }
    }
}
