using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using WillStott.MxAppToolbox;
using osImageManagerLib;

namespace osImageManagerLibUnitTests
{
    /// <summary>
    /// Summary description for DlgBrowserDirTests
    /// </summary>
    [TestClass]
    public class DlgBrowserDirTests
    {
        private DlgBrowserDir dlg;

        public DlgBrowserDirTests()
        {
            dlg = new DlgBrowserDir();

        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void SelectedDir()
        {
            dlg.SelectedDir = "abc";
            Assert.AreEqual("abc", dlg.SelectedDir);
        }

        [TestMethod]
        public void SelectedPathFilename()
        {
            dlg.SelectedPathFilename = "123";
            Assert.AreEqual("", dlg.SelectedPathFilename);
        }

        [TestMethod]
        public void ShowNewFolderButton()
        {
            dlg.ShowNewFolderButton = true;
            Assert.IsTrue(dlg.ShowNewFolderButton);
            dlg.ShowNewFolderButton = false;
            Assert.IsFalse(dlg.ShowNewFolderButton);
        }
    }
}
